Expeditions (version varius9)

Démarré par varius9, 09 Janvier 2012, 19:16:19

« précédent - suivant »

varius9

Bonjour,

J'ai modifié le mod expe pour tenir compte des pertes combats.
Pour que Xtense suive, il faut faire une petite modif dans la barre Xtense
fichier ...chromecontentparsers
ewOgame.js

J'ai fait pas mal de modifs dans la base donc il vaut mieux détruire et réinstall le mod.
La barre xtense 2.3.15 se trouve ici
Le mod se trouve ici
Je met mes développements sur http://varius9.free.fr/Divers

Comme le mod calculressources, je reconnais que c'est un peu "à l'arrache" mais on va y arriver ^^
Ecrivez vos bugs ici

Dudule

#1
Cool merci =)

J'ai un soucis, j'ai voulu changer le mode d'expédition que j'avais installer par défaut avec autoupdate.
Sauf que je peut pas tout désintaller proprement... du moins la désinstall est ok, mais je peut pas supprimer les fichier de mon FTP.
Car ils ont été crée avec un utilisateur ''apache" et moi j'ai pas les droits avec mon utilisateur normal de les supprimer...
Et vu que je peut pas supprimer, je peut pas mettre les nouveaux fichier de Expedition
Comment que je peut faire ?

Merci de votre aide
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

machine

Citation de: varius9 le 09 Janvier 2012, 19:16:19
Bonjour,

J'ai modifié le mod expe pour tenir compte des pertes combats.
Pour que Xtense suive, il faut faire une petite modif dans la barre Xtense
fichier ...chromecontentparsers
ewOgame.js

J'ai fait pas mal de modifs dans la base donc il vaut mieux détruire et réinstall le mod.
La barre xtense 2.3.15 se trouve ici
Le mod se trouve ici
Je met mes développements sur http://varius9.free.fr/Divers

Comme le mod calculressources, je reconnais que c'est un peu "à l'arrache" mais on va y arriver ^^
Ecrivez vos bugs ici

ola varius,
ton post n'a pas ete zappé je te rassure :p

faudrait qu un dev xtense passe pour voir tes modifs sur le js d xtense.
pour éventuellement mettre a jour la babarre ( et le gm en dev )

faut qu'on regarde ton code c 'est ca ?


@dudulle : qu'elle est ton hebergeur ?
tu as accés a ton ftp ?

Framework php sécurisé et simple à prendre en main avec générateur web http://mkframework.com/

Dudule

#3
Je suis chez Free-h.
Oui j'ai accès.

La modification des droits est fonctionnel sur tous mes fichiers ormis ceux mis par autoupdate

Pour info j'ai trouvé une solution !

J'ai uploader le mode expédition en expédion2
J'ai pris le install.php
j'ai tout viré dedant j'ai juste mis :
chmod("mod/expedition/*", 0777)
Je suis allez dans ogpsy, j'ai installé mon mod foireux, et du coup il a juste fait que mettre à jour les droits sur le fichier.
Du coup j'ai pu supprimer mon mod expedition qu'avais installé autoupdate ;)
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Dudule

Bon ben voila, enfin mon ftp propre !

J'ai donc télécharger ton mod expedition v2 la ou tu met tes dev, je l'ai copier sur mon ftp, j'ai fait un petit chmod 777 histoire d'être tranquille et j'ai tenté de l'installer.

Voila l'erreur que j'obtiens :

Database MySQL Error
ErrNo:1064: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
Query:
Select * From ogspy_xtense_callbacks where mod_id =


Si vous avez une solution, je prend, sinon je suis en train de chercher =)
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Gilga

ça ressemble à une non reconnaissance du n° ID du mod dans la table xtense call back ou un truc com ça

j'ai eu idem avec mod calcul de ressource il me semble
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Dudule

Oui c'est ça on dirais.

J'ai parcouru le fichier d'install, il fait tout ce qu'il devrais faire, créations des tables ect, et quand il arrive à la partie si dessous ca plante :

Citation
// On récupère le n° d'id du mod
$query = "SELECT `id` FROM `".TABLE_MOD."` WHERE `action`='eXpedition' AND `active`='1' LIMIT 1";
$result = $db->sql_query($query);
$mod_id = $db->sql_fetch_row($result);
$mod_id = $mod_id[0];

/** $query = "INSERT INTO ".TABLE_MOD." (id, title, menu, action, root, link, version, active) VALUES ('','eXpedition','eXpedition','eXpedition','eXpedition','index.php','2.0.0','1')";
$db->sql_query($query);
$mod_id = $db->sql_insertid(); **/
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Gilga

tu peux "provisoirement" editer dans ton php admin la base donnée ogspy, rperer l'id du mod
et ensuite aller inserer cet id dans la table xtense callback
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Shad

#8
je recommence la modif mdr

edit:  expedition
Par contre faites les tests et voir comment les commit.

Varius se serait bien que tu posts les modifs pour que superbox check et fasse les modif

Dudule

Citation de: Gilga le 10 Janvier 2012, 16:59:00
tu peux "provisoirement" editer dans ton php admin la base donnée ogspy, rperer l'id du mod
et ensuite aller inserer cet id dans la table xtense callback

Le Hic c'est que il a pas d'id le mod...
Dans OGSpy_mod j'ai pas le mode expédition !


J'ai testé avec ton Zip Shad mais cela ne marche pas non plus. Cette fois si pas de message d'erreur mais une page blanche !
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Shad

Gnééé!!!

Je fouillerais demain ;)

Dudule

D'acc, je passerais demain matin !
Si tu as besoin de test en direct live, envoie moi un MP ;)
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

varius9

Plop,
Désolé mais la notification n'étant pas active automatiquement, et ne recevant aucun mail je me disais c'est super calme.
Je regarderai cela en détail dès que je peux.
Merci à ceux qui aide les autres

Chez moi et mes gars de l'ally tout fonctionne super bien mais c'est vrai que je vais souvent trifouiller direct dans la base et que donc mon mod n'est pas certainement pas super propre.
Une validation par un expert avant un déploiement officiel ne serait pas du luxe superflu.

Idem pour mon mod Calculressources.
Je suis juste un autodidacte qui s'amuse à essayer de créer des choses.

Gilga

t'inquiète, en tant que beta testeur , je prends plaisir à installer et tester  ^^

et puis il faut bien commencer quelque part
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Shad